module Paths_subnet (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch

version :: Version
version = Version [0,0,1] []
bindir, libdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/gcganley/code/haskell/subnet/.cabal-sandbox/bin"
libdir     = "/home/gcganley/code/haskell/subnet/.cabal-sandbox/lib/x86_64-linux-ghc-7.8.4/subnet-0.0.1"
datadir    = "/home/gcganley/code/haskell/subnet/.cabal-sandbox/share/x86_64-linux-ghc-7.8.4/subnet-0.0.1"
libexecdir = "/home/gcganley/code/haskell/subnet/.cabal-sandbox/libexec"
sysconfdir = "/home/gcganley/code/haskell/subnet/.cabal-sandbox/etc"

getBinDir, getLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "subnet_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "subnet_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "subnet_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "subnet_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "subnet_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
